2024-04-23 09:52 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006406IndyFateOfAtlantis[WHDLoad Installs Games] slavepublic2024-03-22 23:49
ReporterJudgeGroovyman 
Assigned ToJOTDProject InfoIndiana Jones & The Fate of Atlantis (Lucasfilms Games)
http://www.whdload.de/games/IndyFateOfAtlantis.html
 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionnot fixable 
Summary0006406: Previous Error not fixed yet. "Invalid size allocating string 31 size -1" error still exists
DescriptionHi

http://www.whdload.de/mantis/view.php?id=0004906

The issue linked above doesn't seem to be fixed. We just downloaded the latest version (Created 2020-12-14) of the WHDLoad and installed it from scratch and then played and tried saving and then loading and it still had the "Invalid size allocating string 31 size -1" error.

Side note: there is an extra parenthesis on line 136 of the installer script. Easily fixed with a single delete.
Steps To Reproduce1. Start the game and play through the first 5 minutes or so opening sequence until you get to the movie theater. (use warp mode if you have an emulator)
2. Save your game (press F1 to start that process).
3. turn off your computer or emulator
4. Start the game and on the title screen press F1 to load your saved game.
5. Thats when the error will appear
TagsNo tags attached.
MachineA1200
CPU68020
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem1 MB
FastMem2 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.9
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0013584

Retroplay (reporter)

I can't reproduce this error.
I launched the game (WinUAE), played through the intro sequence.
As soon as I'm on the street at the movie theater I hit F1, select slot 1 and press save and enters a name for my save.
After that I press WHDLoad quit key (I have my global quitkey set to $5d in WHDLoad.prefs (numpad *).
Start game up again, hit F1 and load my saved game no problems.

Did you just turn off Amiga/close down emulator with out exiting the game with WHDLoad quit key?

note ~0013586

JudgeGroovyman (reporter)

We turned off the emulator without exiting the game so tomorrow we will try exiting the game with the whdload key.

Out of curiosity why do you think that exiting that way matters?

note ~0013587

aardvark82 (reporter)

WHDLoad only writes to disk after exit unless NoWriteCache option is used https://www.whdload.de/docs/en/opt.html#NoWriteCache

note ~0013631

JOTD (developer)

probably corrupt save file due to not exiting whdload properly. There a NoFileCache/S option that allows to save immediately, much safer for all users that are trigger-happy with the off switch (happened to me too)
+Notes

-Issue History
Date Modified Username Field Change
2024-02-08 05:11 JudgeGroovyman New Issue
2024-02-08 20:40 Retroplay Note Added: 0013584
2024-02-10 05:03 JudgeGroovyman Note Added: 0013586
2024-02-10 07:36 aardvark82 Note Added: 0013587
2024-02-18 19:07 StingRay Assigned To => JOTD
2024-02-18 19:07 StingRay Status new => assigned
2024-03-22 23:49 JOTD Status assigned => closed
2024-03-22 23:49 JOTD Resolution open => not fixable
2024-03-22 23:49 JOTD Note Added: 0013631
+Issue History